<div class="switch-btn {if $one_module.status eq "0"}switch-on{/if}" data-id="#asterisk_module-1" id="asterisk__switch-btn"><div></div></div>
<input type="checkbox" hidden="hidden" name="asterisk_module_status" id="asterisk_module_status" value="{if $one_module.status eq "0"}1{else}0{/if}"/>
<script>
    $(function () {
        var asteriskCheckStatus = $('#asterisk_module_status');
        var asteriskModuleLink = $('#module__asterisk');
        $('#asterisk__switch-btn').click(function () {
            var $this = $(this);
            if ($this.hasClass('switch-on')) {
                jconfirm('{$lang.disabled_module_alert}', function () {
                    $this.toggleClass('switch-on');
                    $this.trigger('off.switch');

                });
            } else {
                $this.toggleClass('switch-on');
                $this.trigger('on.switch');
            }
        });
        $('#asterisk__switch-btn').on('on.switch', function () {
            // Посылаем запрос на включение модуля
            $.ajax({
                url: '{$config.site_url}/edit_modules.php?module=asterisk',
                type: 'post',
                data: `save=1&activate=1&csrf={$csrf}&server_name=Clientbase&server=sip.{$config.clientbase_domain}`,
                beforeSend: function() {
                    makePreloader();
                },
                success: function (resp) {
                    destroyPreloader();
                    asteriskCheckStatus.val('1');
                    asteriskModuleLink.removeClass('disabled');
                    location.href = asteriskModuleLink.attr('href');
                }
            });
        });
        $('#asterisk__switch-btn').on('off.switch', function () {
            // Посылаем запрос на выключение модуля
            $.ajax({
                url: '{$config.site_url}/edit_modules.php?module=asterisk',
                type: 'post',
                data: `save=1&deactivate=1&csrf={$csrf}&deactivate_on_server=1`,
                beforeSend: function() {
                    makePreloader();
                },
                success: function (resp) {
                    destroyPreloader();
                    asteriskCheckStatus.val('0');
                    asteriskModuleLink.addClass('disabled');
                    console.log('Модуль телефонии успешно отключен');
                }
            });
        });
    });
</script>